/************************************************************************//**
 *
 * @file    c17_tsrvr.h
 *
 * @brief   This is Temperature Sensor/Reference Voltage Generator (TSRVR) driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_TSRVR_H__
#define C17_TSRVR_H__

#include <c17_mcu_select.h>

/* --- definition --- */
enum
{
	C17_TSRVR_VREF_HIZ,				///< Output Voltage = Hi_Z(An external voltage can be applied.)
	C17_TSRVR_VREF_VDD,				///< Output Voltage = VDD level output
	C17_TSRVR_VREF_2_0V,			///< Output Voltage = 2.0V output
	C17_TSRVR_VREF_2_5V				///< Output Voltage = 2.5V output
};

/* --- external declaration --- */
extern void c17enableTempMeas(void);
extern void c17disableTempMeas(void);
extern void c17setVrefMode(unsigned short vref_md);

#endif /* C17_TSRVR_H__ */

