/************************************************************************//**
 *
 * @file    c17_pwg2.h
 *
 * @brief   This is PWG2 driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_PWG2_H__
#define C17_PWG2_H__

#include <c17_mcu_select.h>

/* --- definition --- */

enum
{
	C17_PWG2_CLKDIV_32,					///< Clock Division = 1/32
	C17_PWG2_CLKDIV_64,					///< Clock Division = 1/64
	C17_PWG2_CLKDIV_128,				///< Clock Division = 1/128
	C17_PWG2_CLKDIV_256,				///< Clock Division = 1/256
};

// PWG2 mode.
#define C17_PWG2_AUTO			(0)		///< Auto Mode.
#define C17_PWG2_NORMAL			(2)		///< Normal Mode.
#define C17_PWG2_ECONOMY		(3)		///< Economy Mode.
#define C17_PWG2_SUPER_ECONOMY	(5)		///< Super economy Mode.


/* --- external declaration --- */
extern void c17intPwg2(void)	__attribute__ ((interrupt_handler));

extern void c17initPwg2(void);
extern void c17setPwg2(unsigned short pwgMode);
extern int c17getPwg2Mode(void);
extern void c17enableIntPwg2(void);
extern void c17disableIntPwg2(void);

#endif	// C17_PWG2_H__

