/************************************************************************//**
 *
 * @file    main.c
 *
 * @brief   This is PWG2 sample program for S1C17W18 demonstration.
 *
 * @par     Copyright:
 *          Copyright(C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
/************************************************************************//**
 * @mainpage    S1C17W18 PWG2
 *
 * @section     intro Introduction
 * Sample code set PWG2.
 *
 * @subsection  step1   Step  1: Start OSC1.
 *              step2   Step  2: Set PWG2 mode.
 *
 * @section     install Installation
 * Start the IDE and import the "s1c17w18_sample" project.
 *
 **************************************************************************/
#include <stdlib.h>
#include "crt0.h"
#include "c17_misc.h"
#include "c17_pwg2.h"
#include "c17_clg.h"
#include "c17_init_config.h"

#if defined(C17_PE_PWG2)

/* --- definition --- */


/* --- global variable --- */


int main_pwg2(void);

/************************************************************************//**
 * main function.
 *
 * @brief	Set PWG.
 *
 * @return 	EXIT_SUCCESS	Success.
 ***************************************************************************/
int main_pwg2(void)
{
	/// Initialize and start OSC1.
	c17startClgOSC1();

	/// Initialize PWG2.
	c17initPwg2();

	/// Interrupt Disable PWG2.
	c17disableIntPwg2();

	/// Set PWG2 mode.
	c17setPwg2(C17_PWG2_AUTO);

	return EXIT_SUCCESS;
}
#endif

